Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002652 [ardour] features major unable to reproduce 2009-05-03 04:43 2012-08-05 16:13
Reporter Lcut View Status public  
Assigned To
Priority normal Resolution open  
Status new   Product Version
Summary 0002652: AAF / OMF support
Description AAF / OMF support in Ardour can't be at the moment developped because of a lack of sponsorship.
So I've decided to create this features request in order to help its development.

Why this features is so important ?

Because EDL format like AAF/OMF allow project transfers from a software to another, with the wave track data, plugins and automation parameters saved inside.
Absolutly necessary to mix a project in ardour while tracks were recorded and edited with another DAW (Cubase, Protools, Nuendo), or to transfer the soundtrack of a video project from the video sofware (Avid, FinalCut, Premiere) into Ardour in order to edit and mix it.
Like the vst support question in Ardour was a bit conflictual (vst is a crappy system, it comes from the windows world, etc...) nevertheless AAF/OMF support is an essential condition for professional audio world to be able to switch on an Ardour/Linux based system production.
Ardour is a great system, I just want to make things progress!

There was a person called John E in the forum that was ready to start coding the AAF/OMF features for Ardour if some sponsors could be found.
http://ardour.org/node/2288 [^]

So we just have to get involved and donate to see this great feature arrive !
Additional Information I founded some stuffs in the ardour forum that can be usefull :

- an open source project to read and write OMF project : http://sourceforge.net/projects/deck2omf [^]
- Symek's EDL2SHK.py script
Tags No tags attached.
Attached Files

Sponsor -  Users sponsoring this issue
Sponsors List Total Sponsorship = US$ 505

2009-05-03 04:45: Lcut (US$ 50)
2009-05-10 09:25: lamacchiacosta (US$ 50)
2009-05-11 10:13: mattnick (US$ 50)
2009-06-06 14:37: tlipfert (US$ 50)
2009-08-31 20:13: kaimerra (US$ 50)
2009-09-01 11:56: philicordas (US$ 50)
2009-09-03 02:47: olaf (US$ 50)
2009-12-16 09:45: dcsimon (US$ 20)
2010-02-24 22:38: qharley (US$ 50)
2010-05-24 14:17: calimerox (US$ 35)
2011-10-19 13:27: karnesky (US$ 50)

- Relationships

-  Notes
(0005980)
johne53 (reporter)
2009-05-07 07:20

Hi LCut. Thanks for kickstarting the sponsorship for this issue but I've got some news that might get you up & running pretty soon. Check out my web site which gives some preliminary information about my AAF plugin which is now called ArdourXchange:-

http://www.creativepost.co.uk [^]

At the time of writing it only supports importing (not exporting) and it's only available for Indamixx - but here's some great news....

If you've never heard of Indamixx it's a complete "studio-in-a-box" aimed at pro and semi-pro musicians. It includes Ardour, along with some other great Linux audio packages which all run under a distro called Transmission 2 (which I believe is a variant of 64studio).

Currently, you can buy Indamixx complete with suitable hardware (i.e. a laptop or handheld device) starting at around $499 - but even better, you'll soon be able to buy the software only (on a USB memory stick) for under $100. In fact, I think it's even less if you don't want the memory stick!! That'll get you a working, ready-to-go studio (including AAF support) for not much more than your sponsorship amount.

I've probably jumped the gun a bit here because the 's/ware only' version is still being tested - but anyway, I hope that's of interest.
(0005986)
Lcut (reporter)
2009-05-09 10:39

Hi John. Thanks for your answer.

It's great that an AAF plugin exists, and the Indamixx system looks like an interesting Linux-based system.

But my aim here is to sponsor an Open Source AAF/OMF patch for Ardour. I'm a semi-professional sound engineer and use Cubase and Protools software, so AAF support is'nt a problem for me. But I believe in open source software, and try my best to support Ardour as a great open source DAW.
Sorry to tell that, but even if Indamixx cost 10 bocks, then it would'nt more interest me. I want to have the choice what hardware and software to use. It's a basic principle of open source world, and I don't want to use Ardour on a propriatary system, even with AAF format support.

I know that there're a lots of work to achieve, and all of that can't be free.
That's why I open this issue.

If there are ways to open your work to the community it would be great !
(0005987)
johne53 (reporter)
2009-05-09 23:48

Well, introducing this feature to the community was the main reason for doing a deal with Indamixx. FWIW I'm treating any income generated by Indamixx as being sponsorship too. Therefore people can sponsor me the conventionsl way (i.e. making a pledge and waiting for others to join in). Or they can sponsor me by buying Indamixx.

From a developer's perspective the Indamixx connection delivers 2 important advantages:- (1) It gives users a choice and at least some kind of solution in the short term. (2) People can be using (and therefore testing) software that would otherwise just be sitting on my personal PC, waiting for enough sponsors to come forward. The end result is that people like you (who are happy to wait for the source code) should hopefully get a more stable product in reward for their patience.
(0006022)
openmediaforge (reporter)
2009-05-21 02:12

I would recommend using the official SDK and manuals for interacting with AAF files. I know that there is some work to add this support to Blender as well and both using the same libraries would allow flawless transitions from Ardour for audio to Blender for video editing.

http://aaf.sourceforge.net/ [^]

I mean why replicate work that has already been done.
(0006027)
johne53 (reporter)
2009-05-22 02:19

Hi openmediaforge - you might have misunderstood the problem with Ardour and AAF. Ardour can already support AAF via a plugin (that I wrote) which does indeed use the AAF SDK. However, that plugin is an adaptation of something totally different that I wrote a long time ago for Windows. Therefore although it works, at present it has 3 drawbacks:-

1) It isn't open source.
2) Anyone who wants it would need to be able to build Ardour themselves.
3) Even when installed, it requires Wine (or Crossover Mac) to run.

The quest for sponsorship is to enable me (or someone else) to provide AAF support as a standard, open source feature within Ardour itself (i.e. not as a separate, closed source plugin). At the current level of sponsorship, around 300-400 sponsors would be needed to make this viable. But at the time of writing (and despite its apparent popularity) this feature has only 3 sponsors. That's what's holding us up at the moment.
(0006057)
johne53 (reporter)
2009-06-08 03:22

IMPORTANT NOTE: If anyone's interested in helping to test my plugin, I've just released a time-limited version, FREE OF CHARGE for early adopters. You can get a copy COMPLETELY FREE as long as you satisfy the following conditions:-

1) You pledge at least $50 to this feature request; AND/OR
2) You already contribute to Ardour in some other way, either financially or technically (developer / translator / tester etc); AND
3) You will not be distributing the plugin for commercial gain

Depending on when you install it, the time-limited copy will work at least until the end of July 2010. Hopefully, that'll be enough time for enough people to come forward and sponsor an open source version. There are a few limitations, described in my preceding post (mostly, you need to be able to build Ardour from source).

If you'd like a free copy, use the 'Contact' link on my web page:-

http://www.creativepost.co.uk/ [^]
(0006623)
philicordas (reporter)
2009-09-01 12:04

Hello. I am interested in this being open source, and have pledged $50.

I would like to see OMF support too eventually, as my 'other daw' is Cubase, but first things first eh!
(0006637)
olaf (reporter)
2009-09-03 02:49

final cut and nuendo provide xml versions of their sessions

this could also be a way to go instead of omf or aaf support

maybe its more easy?
(0007352)
Lcut (reporter)
2010-02-08 20:01

Just to say that a guy wrote some code for .OMF support in reaper daw, and I've thought it could be interesting here, because he decided to release the plugin's source code.

- initial forum (his name is 404notfound) :

http://forum.cockos.com/showthread.php?t=24943&highlight=omf&page=4 [^]

- sources :

http://404notfound.bplaced.net/reaper/ [^]

Cheers

l_cut
(0007360)
paul (administrator)
2010-02-10 14:44

I don't consider this work to satisfy the feature request here, but it will soon. I thought that everyone attached to this bug should be aware of stuff I've just committed (to ardour3 only at this time). This is from my post to the ardour-dev mailing list.
------------------------------------------------------------------------------

Thanks to Hannes Breul, who developed code for Reaper under a BSD-ish
license, I have just added the ability to import OMF sessions as
Ardour sessions. This needs testing and it also needs further
development. Right now, its not even very easy to run it because of
its use of the uninstalled version of libpbd ...

Caveats:

* it imports ONLY OMF2 files. OMF1 is not supported
* it will not identify audio files that Ardour cannot read (e.g.
embedded MP3 files) but no[ problematic errors result from this

Build:

cd tools/omf
make

(requirements: sqlite3, sndfile)

Run:

(ardour3 only)

LD_LIBRARY_PATH=/path/to/ardour/build/default/lib/pbd ./omftool [ -v
version ] [ -r sample rate ] [ -n session name ] OMF2_session_file

this will create an ardour session whose name will based on the omf
file name OR the -n argument. it will be created in the current
working directory.

Future:

I don't have much time to spend on this myself. The basic stuff is all
there, I've been able to load at least a couple of test OMF sessions
from other DAWs and get audio from them. Someone needs to step up and
make this puppy their own. Bug fixes/integration with waf/usability
fixes/GUI ... its all yours for the taking. I may fix trivial errors,
but I need to get back to other things now that this is basically
working.

Incidentally, this also provides a fairly good guide for how to create
an Ardour session from scratch, should anyone want to do this for
other "session" formats.
(0007364)
johne53 (reporter)
2010-02-10 22:57

On a personal level, there were never enough sponsors to tempt me to get started on this - and now I'm too busy with other projects... :-(

Having said that, wasn't there another developer (last year sometime) who wanted to get involved in OMF development? I can't remember his name just now but I'm sure I remember someone who expressed an interest.
(0008007)
calimerox (reporter)
2010-05-24 14:20

this is a real newbie question, sorry: how can i sponsor on that issue? i just made an account on tracker, but i dont know how i can actually donate. when i click on sponsor, it shows the sum i d like to sponsor, do i have to sponsor then the same amount through the normal ardour sponsoring paypal thing? thx folks...

- Issue History
Date Modified Username Field Change
2009-05-03 04:43 Lcut New Issue
2009-05-03 04:45 Lcut Sponsorship Added Lcut: US$ 50
2009-05-03 04:45 Lcut Sponsorship Total 0 => 50
2009-05-03 04:45 Lcut Issue Monitored: Lcut
2009-05-07 07:20 johne53 Note Added: 0005980
2009-05-09 10:39 Lcut Note Added: 0005986
2009-05-09 23:48 johne53 Note Added: 0005987
2009-05-10 09:25 lamacchiacosta Sponsorship Added lamacchiacosta: US$ 30
2009-05-10 09:25 lamacchiacosta Sponsorship Total 50 => 80
2009-05-10 09:25 lamacchiacosta Issue Monitored: lamacchiacosta
2009-05-10 09:26 lamacchiacosta Sponsorship Updated lamacchiacosta: US$ 20
2009-05-10 09:26 lamacchiacosta Sponsorship Total 80 => 70
2009-05-10 09:26 lamacchiacosta Sponsorship Updated lamacchiacosta: US$ 50
2009-05-10 09:26 lamacchiacosta Sponsorship Total 70 => 100
2009-05-11 10:13 mattnick Sponsorship Added mattnick: US$ 50
2009-05-11 10:13 mattnick Sponsorship Total 100 => 150
2009-05-11 10:13 mattnick Issue Monitored: mattnick
2009-05-15 06:59 JazzyPuppy Issue Monitored: JazzyPuppy
2009-05-21 02:12 openmediaforge Note Added: 0006022
2009-05-21 02:13 openmediaforge Issue Monitored: openmediaforge
2009-05-22 02:19 johne53 Note Added: 0006027
2009-06-06 14:37 tlipfert Sponsorship Added tlipfert: US$ 50
2009-06-06 14:37 tlipfert Sponsorship Total 150 => 200
2009-06-06 14:37 tlipfert Issue Monitored: tlipfert
2009-06-08 03:22 johne53 Note Added: 0006057
2009-08-31 20:12 kaimerra Issue Monitored: kaimerra
2009-08-31 20:13 kaimerra Sponsorship Added kaimerra: US$ 50
2009-08-31 20:13 kaimerra Sponsorship Total 200 => 250
2009-09-01 11:56 philicordas Sponsorship Added philicordas: US$ 50
2009-09-01 11:56 philicordas Sponsorship Total 250 => 300
2009-09-01 11:56 philicordas Issue Monitored: philicordas
2009-09-01 12:04 philicordas Note Added: 0006623
2009-09-03 02:47 olaf Sponsorship Added olaf: US$ 50
2009-09-03 02:47 olaf Sponsorship Total 300 => 350
2009-09-03 02:47 olaf Issue Monitored: olaf
2009-09-03 02:49 olaf Note Added: 0006637
2009-10-04 12:55 nickm Issue Monitored: nickm
2009-12-16 09:45 dcsimon Sponsorship Added dcsimon: US$ 20
2009-12-16 09:45 dcsimon Sponsorship Total 350 => 370
2009-12-16 09:45 dcsimon Issue Monitored: dcsimon
2010-02-08 20:01 Lcut Note Added: 0007352
2010-02-10 14:44 paul Note Added: 0007360
2010-02-10 22:57 johne53 Note Added: 0007364
2010-02-24 22:38 qharley Sponsorship Added qharley: US$ 50
2010-02-24 22:38 qharley Sponsorship Total 370 => 420
2010-02-24 22:38 qharley Issue Monitored: qharley
2010-05-10 10:42 mantaraya36 Issue Monitored: mantaraya36
2010-05-24 14:17 calimerox Sponsorship Added calimerox: US$ 35
2010-05-24 14:17 calimerox Sponsorship Total 420 => 455
2010-05-24 14:17 calimerox Issue Monitored: calimerox
2010-05-24 14:20 calimerox Note Added: 0008007
2011-10-19 13:27 karnesky Sponsorship Added karnesky: US$ 50
2011-10-19 13:27 karnesky Sponsorship Total 455 => 505
2011-10-19 13:27 karnesky Issue Monitored: karnesky
2012-07-22 13:03 ahellquist Issue Monitored: ahellquist
2012-07-24 16:50 seablade Note Added: 0013918
2012-07-24 16:50 seablade Note Added: 0013919
2012-07-24 16:51 seablade Note Deleted: 0013918
2012-07-24 16:51 seablade Note Deleted: 0013919
2012-08-05 16:13 cth103 cost => 0.00
2012-08-05 16:13 cth103 Target Version => 3.X


Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker